%global pypi_name pbr

# Requires testscenarios
%global do_test 0

Name:           python3-%{pypi_name}
Version:        4.2.0
Release:        1%{?dist}
Summary:        Python Build Reasonableness

License:        ASL 2.0
URL:            https://pypi.org/project/pbr/
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires: python-sphinx
BuildRequires: python-oslo-sphinx


%description
PBR is a library that injects some useful and sensible default behaviors into
your setuptools run. It started off life as the chunks of code that were copied
between all of the OpenStack projects. Around the time that OpenStack hit 18
different projects each with at least 3 active branches, it seems like a good
time to make that code into a proper re-usable library.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Python Build Reasonableness
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%if 0%{?do_test}
BuildRequires:  python%{python3_pkgversion}-testscenarios
%endif
Requires:       python%{python3_pkgversion}-setuptools
Requires:       git-core

%description -n python%{python3_pkgversion}-%{pypi_name}
Manage dynamic plugins for Python applications

%if 0%{?python3_other_pkgversion}
%package -n python%{python3_other_pkgversion}-%{pypi_name}
Summary:        Python Build Reasonableness
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pypi_name}}

BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%if 0%{?do_test}
BuildRequires:  python%{python3_other_pkgversion}-testscenarios
%endif
Requires:       python%{python3_other_pkgversion}-setuptools
Requires:       git-core

%description -n python%{python3_other_pkgversion}-%{pypi_name}
Manage dynamic plugins for Python applications
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

rm -rf {test-,}requirements.txt pbr.egg-info/requires.txt


%build
export SKIP_PIP_INSTALL=1
%py3_build
%if 0%{?python3_other_pkgversion}
%py3_other_build
%endif

# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/pbr/tests
mv %{buildroot}%{_bindir}/pbr %{buildroot}%{_bindir}/pbr-%{python3_version}
%if 0%{?python3_other_pkgversion}
%py3_other_install
rm -rf %{buildroot}%{python3_other_sitelib}/pbr/tests
mv %{buildroot}%{_bindir}/pbr %{buildroot}%{_bindir}/pbr-%{python3_other_version}
%endif


%if 0%{?do_test}
%check
%{__python3} setup.py test
%endif


%files -n python%{python3_pkgversion}-pbr
%license LICENSE
%doc html README.rst
%{_bindir}/pbr-%{python3_version}
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{pypi_name}

%if 0%{?python3_other_pkgversion}
%files -n python%{python3_other_pkgversion}-pbr
%license LICENSE
%doc html README.rst
%{_bindir}/pbr-%{python3_other_version}
%{python3_other_sitelib}/*.egg-info
%{python3_other_sitelib}/%{pypi_name}
%endif

%changelog
* Tue Dec  3 2019 Orion Poplwski <orion@nwra.com> - 4.2.0-1
- Build for Python 3 for EPEL6
